Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.search
Class RESearchMatcher

    java.lang.Object
      org.gjt.sp.jedit.search.SearchMatcher
          org.gjt.sp.jedit.search.RESearchMatcher

public class RESearchMatcher
extends SearchMatcher

A regular expression string matcher using `gnu.regexp`.

Version:
  $Id: RESearchMatcher.java,v 1.22 2003/07/14 23:00:54 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.search.SearchMatcher
`SearchMatcher.Match`

Field Summary
`static RESyntax` | `RE_SYNTAX_JEDIT` Perl5 syntax with character classes enabled.

Fields inherited from class org.gjt.sp.jedit.search.SearchMatcher
`returnValue`

Constructor Summary
`RESearchMatcher(java.lang.String search, boolean ignoreCase)` Creates a new regular expression string matcher.

Method Summary
`SearchMatcher.Match` | `nextMatch(CharIndexed text, boolean start, boolean end, boolean firstTime, boolean reverse)` Returns the offset of the first match of the specified text within this matcher.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RE_SYNTAX_JEDIT

    public static final RESyntax RE_SYNTAX_JEDIT

  Perl5 syntax with character classes enabled.

  Since:
    jEdit 3.0pre5

Constructor Detail

### RESearchMatcher

    public RESearchMatcher(java.lang.String search,
                           boolean ignoreCase)
                    throws REException

  Creates a new regular expression string matcher.

Since:
  jEdit 4.2pre4

Method Detail

### nextMatch

    public SearchMatcher.Match nextMatch(CharIndexed text,
                                         boolean start,
                                         boolean end,
                                         boolean firstTime,
                                         boolean reverse)

  Returns the offset of the first match of the specified text within this matcher.

  Specified by:
    `nextMatch` in class `SearchMatcher`
  Parameters:
    `text` - The text to search in
    `start` - True if the start of the segment is the beginning of the buffer
    `end` - True if the end of the segment is the end of the buffer
    `firstTime` - If false and the search string matched at the start offset with length zero, automatically find next match
    `reverse` - If true, searching will be performed in a backward direction.
  Returns:
    an array where the first element is the start offset of the match, and the second element is the end offset of the match
  Since:
    jEdit 4.2pre4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD